using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace New_College.Model.Models
{
    public class D_MajorInformation : EntityModel
    {
        [SugarColumn(IsNullable = true)]
        public string Name { get; set; }
        /// <summary>
        /// 院校id
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int UniversityId { get; set; }
        /// <summary>
        /// 专业id
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int MajorId { get; set; }
        /// <summary>
        /// 专业主修课程
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", Length = int.MaxValue, IsNullable = true)]
        public string Majorcourse { get; set; }
        /// <summary>
        /// 专业前景
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", Length = int.MaxValue, IsNullable = true)]
        public string Majorintent { get; set; }
        /// <summary>
        /// 专业介绍
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", Length = int.MaxValue, IsNullable = true)]
        public string Majordescription { get; set; }
        /// <summary>
        /// 相关技能
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", Length = int.MaxValue, IsNullable = true)]
        public string Skill { get; set; }
        /// <summary>
        /// 考研方向
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", Length = int.MaxValue, IsNullable = true)]
        public string Postgraduate { get; set; }
    }
}
